#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 32. KDE Plasma

- Prev

  KDE Plasma

- Next

  pulseaudio-qt-1.8.1

- Up
- Home

# kirigami-addons-1.10.0

## Introduction to kirigami-addons

This package provides additional QML files for the Kirigami framework.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/kirigami-addons/kirigami-addons-1.10.0.tar.xz

- Download MD5 sum: b7c598c947b359514e3b3ea4b52f692d

- Download size: 2.7 MB

- Estimated disk space required: 75 MB

- Estimated build time: 0.7 SBU (Using parallelism=4)

### kirigami-addons Dependencies

#### Required

KDE Frameworks-6.23.0

#### Recommended

Vulkan-Loader-1.4.341.0

## Installation of kirigami-addons

Install kirigami-addons by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
           ..                                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: $KF6_PREFIX/lib/qml/org/kde/kirigamiaddons and $KF6_PREFIX/lib/cmake/KF6KirigamiAddons

- Prev

  KDE Plasma

- Next

  pulseaudio-qt-1.8.1

- Up
- Home